/* PARS.CPP -- parse data file into n character records
   Original version:  8/19/95 mtc

   Example:  gzip -acd %11.GZ | pars 80 > t$temp.dlg
*/

#include <iostream.h>
#include <ctype.h>
#include <stdlib.h>

int main(int argc, char *argv[])
{
   int i = 1, interval;
   char ch;

   if (argc != 2)
      cout << "Error using pars";
   else
   {

      interval = atoi(argv[1]);

      while (cin.get(ch))
      {
         if (i == interval)
         {
            cout << ch;
            cout << '\n';
            i = 1;
         }
         else
         {
            cout << ch;
            i++;
         }
      }
   };

return 0;
}
