&rem **** convert USGS .GZ files to coverages


&goto usage &if &eq "x%-1" "x"
&open %-1 error
 &LABEL *WHILE0000*
   &read -2 *END__0000*

   &type "Uncompressing and parsing %-2.GZ..."

   &rem **** change 80 to 144 when processing DLG-3 standard format

   & GZIP -acd %-2.GZ | pars 80 > t$temp.dlg

   &type "Converting to coverage %-2..."

   &rem **** the following line assumes optional DLG-3 format
   &rem **** and all other arguments at default

   DLGOARC t$temp.dlg %-2

   &rem **** the following line would process standard files with
   &rem **** a y-shift of -3200000

   &rem DLGSARC t$temp.dlg %-2 # # # # -3200000

   &rem **** build coverage as line if ACODE is present

    &goto *FALSE0001* &if &NINF %-2.ACODE
      BUILD %-2 LINE
      JOINITEM %-2.AAT %-2.ACODE %-2.AAT %-2_ID %-2_ID
    &LABEL *FALSE0001*

   &rem **** clean coverage if PCODE is present

    &goto *FALSE0002* &if &NINF %-2.PCODE
      CLEAN %-2
      JOINITEM %-2.PAT %-2.PCODE %-2.PAT %-2_ID %-2_ID
    &LABEL *FALSE0002*

   &rem **** name projection file after coverage and delete temp DLG

   & REN t$temp.prj %-2.prj
   & DEL t$temp.dlg
 &goback *WHILE0000*
 &LABEL *END__0000*
&close 1
&return

&label usage
&type "Usage:  &r DC [file]"
&type " "
&type "        [file] = list of files to convert"
&type "                 (assumes .GZ extension)"
&return

&label error
&type "Error opening %-1"
&return

